#============================================================================
#  Name:
#    $(TARGET).MAK
#
#  Description:
#    Makefile to build the $(TARGET) downloadable module.
#
#   The following nmake targets are available in this makefile:
#
#     all           - make .elf and .mod image files (default)
#     clean         - delete object directory and image files
#     filename.o    - make object file
#     filename.mix -  mixes assembly and source
#
#   The above targets can be made with the following command:
#
#     nmake /f CalApp.mak [target]
#
#  Assumptions:
#    1. The environment variable ADSHOME is set to the root directory of the
#       arm tools.
#    2. The version of ADS is 1.2 or above.
#
#  Notes:
#    None.
#
#
#        Copyright © 2000-2002 QUALCOMM Incorporated.
#               All Rights Reserved.
#            QUALCOMM Proprietary/GTDR
#
#----------------------------------------------------------------------------
#============================================================================

#-------------------------------------------------------------------------------
# Target file name and type definitions
#-------------------------------------------------------------------------------

SDKHOME    = ..\..#

TARGET     = expensetracker#           # Target name for output files and object dir
TARGETDIR = $(TARGET)

#------------------------------------------------------------------------------
# Application objects
#------------------------------------------------------------------------------

LOCAL_OBJS     = $(TARGETDIR)\et_amountctl.o \
                $(TARGETDIR)\et_dbfunctions.o \
                $(TARGETDIR)\$(TARGET).o

#------------------------------------------------------------------------------
# Common make file
#------------------------------------------------------------------------------

!INCLUDE "..\example_make_common.min"

#------------------------------------------------------------------------------
# Dependencies
#------------------------------------------------------------------------------


$(TARGETDIR)\et_amountctl.o: et_amountctl.c
$(TARGETDIR)\et_amountctl.o: et_amountctl.h
$(TARGETDIR)\et_dbfunctions.o:       et_dbfunctions.c
$(TARGETDIR)\et_dbfunctions.o:       et_dbfunctions.h
$(TARGETDIR)\et_dbfunctions.o:       expensetracker.h
$(TARGETDIR)\et_dbfunctions.o:       et_amountctl.h
$(TARGETDIR)\et_dbfunctions.o:       expensetracker.brh
$(TARGETDIR)\expensetracker.o:       expensetracker.c
$(TARGETDIR)\expensetracker.o:       expensetracker.h
$(TARGETDIR)\expensetracker.o:       et_amountctl.h
$(TARGETDIR)\expensetracker.o:       expensetracker.bid
$(TARGETDIR)\expensetracker.o:       expensetracker.brh
$(TARGETDIR)\expensetracker.o:       et_dbfunctions.h
$(TARGETDIR)\expensetracker.o:       expensetracker.h

